Bug 2247020 - Review Request: rust-speakersafetyd - Speaker protection daemon for embedded Linux systems
Summary: Review Request: rust-speakersafetyd - Speaker protection daemon for embedded ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/speakersafetyd
Whiteboard:
Depends On:
Blocks: 2224751
TreeView+ depends on / blocked
 
Reported: 2023-10-30 12:10 UTC by Hector Martin
Modified: 2023-11-07 04:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-07 01:39:45 UTC
Type: ---
Embargoed:
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Hector Martin 2023-10-30 12:10:05 UTC
Spec URL: https://mrcn.st/t/rust-speakersafetyd.spec
SRPM URL: https://mrcn.st/t/rust-speakersafetyd-0.1.4-1.fc39.src.rpm
Description: Speaker protection daemon for embedded Linux systems
Fedora Account System Username: marcan

This is the speaker protection daemon implementing "smart amp" functionality for Apple machines running Fedora Asahi Remix.

Comment 2 Neal Gompa 2023-10-30 12:14:35 UTC
Taking this review.

Comment 3 Neal Gompa 2023-10-30 12:18:16 UTC
Initial spec review:

> BuildRequires:  rust-packaging >= 23, systemd

Ideally, build dependencies should be on their own lines. That makes it easier to observe in git diffs when dependencies change over time.

It also looks like you only need the RPM macros, so you should change your "BuildRequires: systemd" to "BuildRequires: systemd-rpm-macros".

Comment 4 Hector Martin 2023-10-30 12:23:35 UTC
Updated the spec file, thanks for the review!

Comment 5 Fabio Valentini 2023-10-30 13:03:45 UTC
Some small drive-by comments (I hope you don't mind!):

- "rust-packaging >= 23" is obsolete, it should be "cargo-rpm-macros >= 24" now. It's also the new default with rust2rpm v25, which has been out for ~2 weeks.

- Looks like you're missing the systemd scriptlets for the service:
https://docs.fedoraproject.org/en-US/packaging-guidelines/Scriptlets/#_systemd

- Making directory ownership explicit in %files is almost always better than having it implicit, for example

%{_datadir}/speakersafetyd
%{_sharedstatedir}/speakersafetyd

would become

%{_datadir}/speakersafetyd/
%{_sharedstatedir}/speakersafetyd/

Comment 6 Fedora Review Service 2023-10-30 15:30:26 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6581915
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2247020-rust-speakersafetyd/fedora-rawhide-x86_64/06581915-rust-speakersafetyd/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 7 Hector Martin 2023-10-30 15:46:17 UTC
Thanks for the comments again! Updated the spec and the srpm with the fixes.

Note: the Copr F39 build is failing because this package depends on rust-alsa-0.8.1-1.fc39, which is in testing due to the freeze. There's already an override for it on bodhi.

Kicked off another scratch build just to verify: https://koji.fedoraproject.org/koji/taskinfo?taskID=108326364

Comment 8 Neal Gompa 2023-10-30 18:56:13 UTC
> %post
> %systemd_post speakersafetyd.service
> 
> %preun
> %systemd_preun speakersafetyd.service
>
> %postun
> %systemd_postun_with_restart speakersafetyd.service

This needs "-n %{crate}" added to "%post"/"%preun"/"%postun" so that the scripts are associated with the right binary package.

Comment 9 Hector Martin 2023-10-31 03:01:12 UTC
Fixed, thanks!

Comment 10 Neal Gompa 2023-10-31 12:51:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- systemd_post is invoked in %post, systemd_preun in %preun, and
  systemd_postun in %postun for Systemd service files.
  Note: Systemd service file(s) in speakersafetyd
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Scriptlets/#_scriptlets


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License". 28 files have unknown
     license. Detailed output of licensecheck in /home/ngompa/2247020-rust-
     speakersafetyd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev,
     /usr/lib/udev/rules.d
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 893 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     speakersafetyd
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: speakersafetyd-0.1.4-1.fc40.x86_64.rpm
          rust-speakersafetyd-debugsource-0.1.4-1.fc40.x86_64.rpm
          rust-speakersafetyd-0.1.4-1.fc40.src.rpm
========================================================================================== rpmlint session starts ==========================================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpa8swegmx')]
checks: 31, packages: 3

rust-speakersafetyd.src: W: strange-permission rust-speakersafetyd.spec 600
speakersafetyd.x86_64: W: no-manual-page-for-binary speakersafetyd
speakersafetyd.x86_64: W: files-duplicate /usr/share/speakersafetyd/apple/j475.conf /usr/share/speakersafetyd/apple/j274.conf:/usr/share/speakersafetyd/apple/j375.conf:/usr/share/speakersafetyd/apple/j473.conf:/usr/share/speakersafetyd/apple/j474.conf
speakersafetyd.x86_64: W: files-duplicate /usr/share/speakersafetyd/apple/j493.conf /usr/share/speakersafetyd/apple/j293.conf
speakersafetyd.x86_64: W: files-duplicate /usr/share/speakersafetyd/apple/j414.conf /usr/share/speakersafetyd/apple/j314.conf
speakersafetyd.x86_64: W: files-duplicate /usr/share/speakersafetyd/apple/j416.conf /usr/share/speakersafetyd/apple/j316.conf
speakersafetyd.x86_64: W: files-duplicate /usr/share/speakersafetyd/apple/j457.conf /usr/share/speakersafetyd/apple/j456.conf
=========================================================== 3 packages and 0 specfiles checked; 0 errors, 7 warnings, 0 badness; has taken 0.3 s ===========================================================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 2

speakersafetyd.x86_64: W: no-manual-page-for-binary speakersafetyd
speakersafetyd.x86_64: W: files-duplicate /usr/share/speakersafetyd/apple/j475.conf /usr/share/speakersafetyd/apple/j274.conf:/usr/share/speakersafetyd/apple/j375.conf:/usr/share/speakersafetyd/apple/j473.conf:/usr/share/speakersafetyd/apple/j474.conf
speakersafetyd.x86_64: W: files-duplicate /usr/share/speakersafetyd/apple/j493.conf /usr/share/speakersafetyd/apple/j293.conf
speakersafetyd.x86_64: W: files-duplicate /usr/share/speakersafetyd/apple/j414.conf /usr/share/speakersafetyd/apple/j314.conf
speakersafetyd.x86_64: W: files-duplicate /usr/share/speakersafetyd/apple/j416.conf /usr/share/speakersafetyd/apple/j316.conf
speakersafetyd.x86_64: W: files-duplicate /usr/share/speakersafetyd/apple/j457.conf /usr/share/speakersafetyd/apple/j456.conf
 2 packages and 0 specfiles checked; 0 errors, 6 warnings, 0 badness; has taken 0.1 s 



Source checksums
----------------
https://crates.io/api/v1/crates/speakersafetyd/0.1.4/download#/speakersafetyd-0.1.4.crate :
  CHECKSUM(SHA256) this package     : a73f3b9d33d65d56eb822cab4897b97220bc5ced68d69e11323b2baa3e1e7fa3
  CHECKSUM(SHA256) upstream package : a73f3b9d33d65d56eb822cab4897b97220bc5ced68d69e11323b2baa3e1e7fa3


Requires
--------
speakersafetyd (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libasound.so.2(ALSA_0.9.0rc4)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_4.2.0)(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

rust-speakersafetyd-debugsource (rpmlib, GLIBC filtered):



Provides
--------
speakersafetyd:
    speakersafetyd
    speakersafetyd(x86-64)

rust-speakersafetyd-debugsource:
    rust-speakersafetyd-debugsource
    rust-speakersafetyd-debugsource(x86-64)



Diff spec file in url and in SRPM
---------------------------------
--- /home/ngompa/2247020-rust-speakersafetyd/srpm/rust-speakersafetyd.spec	2023-10-31 07:01:21.451171118 -0400
+++ /home/ngompa/2247020-rust-speakersafetyd/srpm-unpacked/rust-speakersafetyd.spec	2023-10-29 20:00:00.000000000 -0400
@@ -1,2 +1,12 @@
+## START: Set by rpmautospec
+## (rpmautospec version 0.3.5)
+## RPMAUTOSPEC: autorelease, autochangelog
+%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
+    release_number = 1;
+    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
+    print(release_number + base_release_number - 1);
+}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
+## END: Set by rpmautospec
+
 # Generated by rust2rpm 24
 %bcond_without check
@@ -62,13 +72,14 @@
 %endif
 
-%post -n %{crate}
+%post
 %systemd_post speakersafetyd.service
 
-%preun -n %{crate}
+%preun
 %systemd_preun speakersafetyd.service
 
-%postun -n %{crate}
+%postun
 %systemd_postun_with_restart speakersafetyd.service
 
 %changelog
-%autochangelog
+* Mon Oct 30 2023 John Doe <packager> - 0.1.4-1
+- Uncommitted changes


Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2247020 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Python, R, SugarActivity, fonts, Java, Ocaml, PHP, Haskell, Perl, C/C++
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 11 Neal Gompa 2023-10-31 12:53:45 UTC
(In reply to Neal Gompa from comment #10)
> 
> Issues:
> =======
> - systemd_post is invoked in %post, systemd_preun in %preun, and
>   systemd_postun in %postun for Systemd service files.
>   Note: Systemd service file(s) in speakersafetyd
>   See: https://docs.fedoraproject.org/en-US/packaging-
>   guidelines/Scriptlets/#_scriptlets
> 

This is already addressed in the spec, just not in the SRPM, so I'll give this a pass.

> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Unknown or generated", "MIT License". 28 files have unknown
>      license. Detailed output of licensecheck in /home/ngompa/2247020-rust-
>      speakersafetyd/licensecheck.txt
> [x]: License file installed when any subpackage combination is installed.
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/lib/udev,
>      /usr/lib/udev/rules.d

This can be fixed by adding "Requires: systemd-udev" to the spec.

> [x]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [x]: Package contains systemd file(s) if in need.
> [x]: Useful -debuginfo package or justification otherwise.
> [x]: Package is not known to require an ExcludeArch tag.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: The License field must be a valid SPDX expression.
> [x]: Package requires other packages for directories it uses.
> [x]: Package does not own files or directories owned by other packages.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package must not depend on deprecated() packages.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 893 bytes in 1 files.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [-]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      speakersafetyd
> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [x]: Scriptlets must be sane, if used.
> [-]: Sources are verified with gpgverify first in %prep if upstream
>      publishes signatures.
>      Note: gpgverify is not used.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [x]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Spec file according to URL is the same as in SRPM.
>      Note: Spec file as given by url is not the same as in SRPM (see
>      attached diff).
>      See: (this test has no URL)
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
> 
> 
> Rpmlint
> -------
> Checking: speakersafetyd-0.1.4-1.fc40.x86_64.rpm
>           rust-speakersafetyd-debugsource-0.1.4-1.fc40.x86_64.rpm
>           rust-speakersafetyd-0.1.4-1.fc40.src.rpm
> =============================================================================
> ============= rpmlint session starts
> =============================================================================
> =============
> rpmlint: 2.4.0
> configuration:
>     /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
>     /etc/xdg/rpmlint/fedora-legacy-licenses.toml
>     /etc/xdg/rpmlint/fedora-spdx-licenses.toml
>     /etc/xdg/rpmlint/fedora.toml
>     /etc/xdg/rpmlint/scoring.toml
>     /etc/xdg/rpmlint/users-groups.toml
>     /etc/xdg/rpmlint/warn-on-functions.toml
> rpmlintrc: [PosixPath('/tmp/tmpa8swegmx')]
> checks: 31, packages: 3
> 
> rust-speakersafetyd.src: W: strange-permission rust-speakersafetyd.spec 600
> speakersafetyd.x86_64: W: no-manual-page-for-binary speakersafetyd
> speakersafetyd.x86_64: W: files-duplicate
> /usr/share/speakersafetyd/apple/j475.conf
> /usr/share/speakersafetyd/apple/j274.conf:/usr/share/speakersafetyd/apple/
> j375.conf:/usr/share/speakersafetyd/apple/j473.conf:/usr/share/
> speakersafetyd/apple/j474.conf
> speakersafetyd.x86_64: W: files-duplicate
> /usr/share/speakersafetyd/apple/j493.conf
> /usr/share/speakersafetyd/apple/j293.conf
> speakersafetyd.x86_64: W: files-duplicate
> /usr/share/speakersafetyd/apple/j414.conf
> /usr/share/speakersafetyd/apple/j314.conf
> speakersafetyd.x86_64: W: files-duplicate
> /usr/share/speakersafetyd/apple/j416.conf
> /usr/share/speakersafetyd/apple/j316.conf
> speakersafetyd.x86_64: W: files-duplicate
> /usr/share/speakersafetyd/apple/j457.conf
> /usr/share/speakersafetyd/apple/j456.conf
> =========================================================== 3 packages and 0
> specfiles checked; 0 errors, 7 warnings, 0 badness; has taken 0.3 s
> ===========================================================
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> ============================ rpmlint session starts
> ============================
> rpmlint: 2.4.0
> configuration:
>     /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
>     /etc/xdg/rpmlint/fedora-legacy-licenses.toml
>     /etc/xdg/rpmlint/fedora-spdx-licenses.toml
>     /etc/xdg/rpmlint/fedora.toml
>     /etc/xdg/rpmlint/scoring.toml
>     /etc/xdg/rpmlint/users-groups.toml
>     /etc/xdg/rpmlint/warn-on-functions.toml
> checks: 31, packages: 2
> 
> speakersafetyd.x86_64: W: no-manual-page-for-binary speakersafetyd
> speakersafetyd.x86_64: W: files-duplicate
> /usr/share/speakersafetyd/apple/j475.conf
> /usr/share/speakersafetyd/apple/j274.conf:/usr/share/speakersafetyd/apple/
> j375.conf:/usr/share/speakersafetyd/apple/j473.conf:/usr/share/
> speakersafetyd/apple/j474.conf
> speakersafetyd.x86_64: W: files-duplicate
> /usr/share/speakersafetyd/apple/j493.conf
> /usr/share/speakersafetyd/apple/j293.conf
> speakersafetyd.x86_64: W: files-duplicate
> /usr/share/speakersafetyd/apple/j414.conf
> /usr/share/speakersafetyd/apple/j314.conf
> speakersafetyd.x86_64: W: files-duplicate
> /usr/share/speakersafetyd/apple/j416.conf
> /usr/share/speakersafetyd/apple/j316.conf
> speakersafetyd.x86_64: W: files-duplicate
> /usr/share/speakersafetyd/apple/j457.conf
> /usr/share/speakersafetyd/apple/j456.conf
>  2 packages and 0 specfiles checked; 0 errors, 6 warnings, 0 badness; has
> taken 0.1 s 
> 
> 
> 
> Source checksums
> ----------------
> https://crates.io/api/v1/crates/speakersafetyd/0.1.4/download#/
> speakersafetyd-0.1.4.crate :
>   CHECKSUM(SHA256) this package     :
> a73f3b9d33d65d56eb822cab4897b97220bc5ced68d69e11323b2baa3e1e7fa3
>   CHECKSUM(SHA256) upstream package :
> a73f3b9d33d65d56eb822cab4897b97220bc5ced68d69e11323b2baa3e1e7fa3
> 
> 
> Requires
> --------
> speakersafetyd (rpmlib, GLIBC filtered):
>     ld-linux-x86-64.so.2()(64bit)
>     libasound.so.2()(64bit)
>     libasound.so.2(ALSA_0.9)(64bit)
>     libasound.so.2(ALSA_0.9.0rc4)(64bit)
>     libc.so.6()(64bit)
>     libgcc_s.so.1()(64bit)
>     libgcc_s.so.1(GCC_3.0)(64bit)
>     libgcc_s.so.1(GCC_3.3)(64bit)
>     libgcc_s.so.1(GCC_4.2.0)(64bit)
>     libm.so.6()(64bit)
>     rtld(GNU_HASH)
> 
> rust-speakersafetyd-debugsource (rpmlib, GLIBC filtered):
> 
> 
> 
> Provides
> --------
> speakersafetyd:
>     speakersafetyd
>     speakersafetyd(x86-64)
> 
> rust-speakersafetyd-debugsource:
>     rust-speakersafetyd-debugsource
>     rust-speakersafetyd-debugsource(x86-64)
> 
> 
> 
> Diff spec file in url and in SRPM
> ---------------------------------
> --- /home/ngompa/2247020-rust-speakersafetyd/srpm/rust-speakersafetyd.spec
> 2023-10-31 07:01:21.451171118 -0400
> +++
> /home/ngompa/2247020-rust-speakersafetyd/srpm-unpacked/rust-speakersafetyd.
> spec	2023-10-29 20:00:00.000000000 -0400
> @@ -1,2 +1,12 @@
> +## START: Set by rpmautospec
> +## (rpmautospec version 0.3.5)
> +## RPMAUTOSPEC: autorelease, autochangelog
> +%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
> +    release_number = 1;
> +    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
> +    print(release_number + base_release_number - 1);
> +}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
> +## END: Set by rpmautospec
> +
>  # Generated by rust2rpm 24
>  %bcond_without check
> @@ -62,13 +72,14 @@
>  %endif
>  
> -%post -n %{crate}
> +%post
>  %systemd_post speakersafetyd.service
>  
> -%preun -n %{crate}
> +%preun
>  %systemd_preun speakersafetyd.service
>  
> -%postun -n %{crate}
> +%postun
>  %systemd_postun_with_restart speakersafetyd.service
>  

As mentioned earlier, this is actually fixed in the spec, just not in the SRPM.

Comment 12 Neal Gompa 2023-10-31 12:57:24 UTC
The only missing thing is "Requires: systemd-udev" in the main subpackage (called "%{crate}").

Aside from that, this looks good, so...

PACKAGE APPROVED.

Additionally, I've sponsored you as a packager. Have fun!

Comment 13 Fedora Review Service 2023-10-31 12:58:25 UTC
Hello @marcan,
since this is your first Fedora package, you need to get sponsored by a package
sponsor before it can be accepted.

A sponsor is an experienced package maintainer who will guide you through
the processes that you will follow and the tools that you will use as a future
maintainer. A sponsor will also be there to answer your questions related to
packaging.

You can find all active sponsors here:
https://docs.pagure.org/fedora-sponsors/

I created a sponsorship request for you:
https://pagure.io/packager-sponsors/issue/598
Please take a look and make sure the information is correct.

Thank you, and best of luck on your packaging journey.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

Comment 14 Fedora Admin user for bugzilla script actions 2023-11-06 11:58:37 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-speakersafetyd

Comment 15 Fedora Update System 2023-11-06 13:32:24 UTC
FEDORA-2023-8898103194 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8898103194

Comment 16 Fedora Update System 2023-11-06 13:33:15 UTC
FEDORA-2023-e9e1b2b88d has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e9e1b2b88d

Comment 17 Fedora Update System 2023-11-07 01:39:45 UTC
FEDORA-2023-8898103194 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2023-11-07 04:15:24 UTC
FEDORA-2023-e9e1b2b88d has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.